# GET Response-chain by id

## Response chain by id

<mark style="color:blue;">`GET`</mark> `https://api.feedbackly.com/v5.0.3/response-chains/:id`

Gets an individual response chain by id

#### Path Parameters

| Name | Type   | Description              |
| ---- | ------ | ------------------------ |
| id   | string | Id of the response chain |

#### Query Parameters

| Name              | Type   | Description                                       |
| ----------------- | ------ | ------------------------------------------------- |
| preferredLanguage | string | Preferred language to show the question titles in |

#### Headers

| Name          | Type   | Description                                                                                 |
| ------------- | ------ | ------------------------------------------------------------------------------------------- |
| Authorization | string | Authentication token to access the API. eg: 'Authorization': 'ey0iuefg.834xcunerun348efnsd' |

{% tabs %}
{% tab title="200 " %}

```
{
    "_id": "5979be93d296f3dbf83fb056",
    "surveyId": "59788132f870b600018d6dda",
    "touchpointId": "59529fbef3774c0001a49708",
    "touchpointName": "My touchpoint",
    "createdAt": 1501150867,
    "createdAtDate": "2017-07-27T10:21:07.619Z",
    "teamId": "5dc56d54b7c935069aefa9e2",
    "teamName": "My team name",
    "metadata": {
        "customerId": "34tNa31"
    },
    "language": "en",
    "responses": [
        {
            "question": "How likely are you to recommend us to your friend or colleague?",
            "answer": 2,
            "valueNum": 2,
            "language": "en",
            "questionType": "NPS",
            "questionId": "5978813ab9215744ea08e463",
            "surveyId": "59788132f870b600018d6dda"
        },
        {
            "question": "Could you specify what was bad in your experience?",
            "answer": "Your office branch was unclean.",
            "valueString": "Your office branch was unclean.",
            "language": "en",
            "questionType": "Text",
            "questionId": "597881a4b9215744ea08e464",
            "surveyId": "59788132f870b600018d6dda"
        }
    ]
}
```

{% endtab %}

{% tab title="400 " %}

```
{error: "Not a valid response id    Error id : 1583413424996/E5ohOOdp."}
```

{% endtab %}

{% tab title="404 If the provided id is not found" %}

```
{error: "Not found"}
```

{% endtab %}
{% endtabs %}

### Return type description <a href="#return-type-description" id="return-type-description"></a>

Returns [Response-chain data](/api/response-chains.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.feedbackly.com/api/response-chains/get-response-chain-by-id.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
